Skip to content

小红书蒲公英 API - KOL个人资料 (V1)

此接口已过期

此接口已过时,可能会在未来的版本中被移除。请尽快迁移到新版本。

prod-global
GET
/api/xiaohongshu-pgy/get-kol-info/v1

获取KOL个人资料信息(旧版接口)。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
kolIdquerystringKOL ID。
acceptCachequeryboolean启用缓存。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE"
text
我想使用 Just One API 提供的“KOL个人资料 (V1) [已弃用]”接口。
接口地址: https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-pgy-apis/kol-profile-v1-deprecated-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- kolId (query): KOL ID。 (必填)
- acceptCache (query): 启用缓存。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-info/v1?token=YOUR_API_KEY&kolId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "userId": "60f2bf8200000000010096d8",
    "valid": 1,
    "headPhoto": "https://sns-avatar-qc.xhscdn.com/avatar/1040g2jo30tco19s83s0g5o7inu1095moec3r9ko?imageView2/2/w/120/format/jpg",
    "name": "西文麻麻☀",
    "redId": "9537951985",
    "location": "",
    "homePageDisplay": 1,
    "travelAreaList": null,
    "type": [],
    "personalTags": null,
    "fansCount": 8418,
    "likeCollectCountInfo": 158175,
    "businessNoteCount": 0,
    "totalNoteCount": null,
    "recommend": null,
    "picturePrice": null,
    "videoPrice": null,
    "lowerPrice": null,
    "userType": 1,
    "showPrice": null,
    "pictureState": null,
    "videoState": null,
    "isCollect": false,
    "cooperateState": null,
    "pictureInCart": null,
    "videoInCart": null,
    "note": null,
    "live": null,
    "cps": null,
    "noteSign": null,
    "liveSign": null,
    "goodRecommendPermission": null,
    "cpc": null,
    "pictureCpcBasePrice": null,
    "pictureCpcPerPrice": null,
    "pictureCpcEstimateNum": null,
    "videoCpcState": null,
    "videoCpcBasePrice": null,
    "videoCpcPerPrice": null,
    "videoCpcEstimateNum": null,
    "pictureCpcInCart": null,
    "videoCpcInCart": null,
    "contentTags": null,
    "featureTags": null,
    "industryTag": null,
    "gender": "女",
    "picPriceRemind": null,
    "videoPriceRemind": null,
    "currentLevel": null,
    "nextLevel": null,
    "priceState": null,
    "resemblance": null,
    "noteList": null,
    "tradeType": null,
    "clickMidNum": 0,
    "clickMidNumMcn": 0,
    "interMidNum": 0,
    "fansNum": 8418,
    "matchNoteNumber": 0,
    "authorityList": null,
    "processingAuthorities": null,
    "pictureShowState": null,
    "videoShowState": null,
    "classifyCode": null,
    "predictiveExposure": null,
    "efficiencyValidUser": null,
    "pictureReadCost": null,
    "videoReadCost": null,
    "pictureClickMidNum": 0,
    "pictureInterMidNum": 0,
    "videoClickMidNum": 0,
    "videoFinishRate": null,
    "videoInterMidNum": 0,
    "fans30GrowthRate": null,
    "fans30GrowthNum": 0,
    "nextPicturePrice": null,
    "nextVideoPrice": null,
    "fansRiseNum": null,
    "fansEngageNum": null,
    "overflowNum": null,
    "newHighQuality": 0,
    "isIndustryRecommend": null,
    "picturePriceGtZero": false,
    "videoPriceGtZero": false,
    "lowActive": false,
    "fansActiveIn28dLv": null,
    "fansEngageNum30dLv": null,
    "hundredLikePercent30": null,
    "thousandLikePercent30": null,
    "pictureHundredLikePercent30": null,
    "pictureThousandLikePercent30": null,
    "videoHundredLikePercent30": null,
    "videoThousandLikePercent30": null,
    "cooperType": 2,
    "buyerType": 2,
    "promiseImpNum": null,
    "kolType": 0,
    "showPromiseTag": 0,
    "activityList": null,
    "controlState": 0,
    "clothingIndustryPrice": null,
    "fbState": 0,
    "forecastReadUvLower": 0,
    "forecastReadUvUpper": 0,
    "forecastGroupCoverRateLower": 0,
    "forecastGroupCoverRateUpper": 0,
    "intentionInfo": null,
    "seedAndHarcest": null,
    "liveImg": null,
    "liveId": null,
    "liveGMV": null,
    "isStar": null,
    "top2CategoryList": null,
    "hasBuyerAuth": false,
    "sellerRealIncomeAmt90d": 0,
    "estimatePictureCpm": 0,
    "estimatePictureCpmCompare": 0,
    "estimateVideoCpm": 0,
    "estimateVideoCpmCompare": 0,
    "estimatePictureEngageCost": 0,
    "estimatePictureEngageCostCompare": 0,
    "estimateVideoEngageCost": 0,
    "estimateVideoEngageCostCompare": 0,
    "inviteReply48hNumRatio": 0,
    "recommendReason": null,
    "kolHeadLabel": 0,
    "accumCoopImpMedinNum30d": 0,
    "estimateCpuv30d": 0,
    "accumPicCommonImpMedinNum30d": 0,
    "accumVideoCommonImpMedinNum30d": 0,
    "accumCommonImpMedinNum30d": 0,
    "marketTarget": null,
    "readMidCoop30": null,
    "interMidCoop30": null,
    "coopNoteNum30d": 0,
    "specialIndustryLimit": null,
    "kliveCnt30d": 0,
    "avgAgmv90d": 0,
    "avgLiveViewerNum": 0,
    "algoRecommendReasons": null,
    "mengagementNum": 0,
    "mengagementNumMcn": 0,
    "mcpuvNum30d": 0,
    "mEngagementNum": 0,
    "mEngagementNumMcn": 0,
    "mCpuvNum30d": 0
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。